Subject: Re: Getting physical packet counts with LRO enabled with ixgbe?

From: Ben Greear <[email-masked]>
Date: Fri, 25 Sep 2009 15:12:45 -0700

On 09/25/2009 03:01 PM, Herbert Xu wrote:
> On Fri, Sep 25, 2009 at 02:59:15PM -0700, David Miller wrote:
>> From: Ben Greear<[email-masked]>
>> Date: Fri, 25 Sep 2009 14:50:44 -0700
>>
>>> I get aggregate 18Gbps with LRO v/s 12Gbps without, so it's very
>>> much a useful feature for me.
>>
>> And it'll stay like that until you work with Herbert to fix
>> that performance difference.
>
> Actually I believe he's talking about hardware LRO which is a
> different beast.
>
> AFAICS the ixgbe driver doesn't use software LRO anymore.
>
> So if it is hardware LRO then what we need is for the hardware
> to switch over :)

Either way, I will be happy to test & benchmark patches of this nature
if someone wants to post them.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com